<ActionBar class="action-bar">
    <!-- 
    Use the NavigationButton as a side-drawer button in Android
    because ActionItems are shown on the right side of the ActionBar
    -->
    <NavigationButton ios:visibility="collapsed" icon="res://menu" (tap)="onDrawerButtonTap()"></NavigationButton>
    <!-- 
    Use the ActionItem for IOS with position set to left. Using the
    NavigationButton as a side-drawer button in iOS is not possible,
    because its function is to always navigate back in the application.
    -->
    <ActionItem icon="res://navigation/menu" android:visibility="collapsed" (tap)="onDrawerButtonTap()"
        ios.position="left">
    </ActionItem>
    <Label class="action-bar-title" text="Featured"></Label>
</ActionBar>

<GridLayout class="page page-content" rows="* *" columns="*">
    <Button row="0" col="0" height="50" text="Take Picture" (tap)="takePicture()"></Button>
    <Image row="1" col="0" height="500" [src]="imageSrc" stretch="aspectFill"></Image>
</GridLayout>